aboutsummaryrefslogtreecommitdiffstats
path: root/test/Scripts
diff options
context:
space:
mode:
authorChris Lattner <sabre@nondot.org>2003-06-28 22:28:31 +0000
committerChris Lattner <sabre@nondot.org>2003-06-28 22:28:31 +0000
commitcf36d1c6d12480b66183511e6e4e0f13670657ad (patch)
treeb290c08586196c59012f8bbe067d12553782c838 /test/Scripts
parentd6b73035b73d76e28806319323e145a17bfd50d0 (diff)
downloadexternal_llvm-cf36d1c6d12480b66183511e6e4e0f13670657ad.zip
external_llvm-cf36d1c6d12480b66183511e6e4e0f13670657ad.tar.gz
external_llvm-cf36d1c6d12480b66183511e6e4e0f13670657ad.tar.bz2
Initial checkin of grep-not script
git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@6951 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'test/Scripts')
-rwxr-xr-xtest/Scripts/grep-not19
1 files changed, 19 insertions, 0 deletions
diff --git a/test/Scripts/grep-not b/test/Scripts/grep-not
new file mode 100755
index 0000000..7fe6702
--- /dev/null
+++ b/test/Scripts/grep-not
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# Program: grep-not
+#
+# Synopsis: Search the input to the program for a regular expression, working
+# just like grep. The only difference is that we return success if
+# the pattern was not found, and failure if it was. This is useful
+# for TestRunner tests which want to make sure something DOES NOT
+# occur in the output of a command.
+#
+# Syntax: The same as grep
+
+if grep $@
+then exit 1
+else exit 0
+fi
+
+
+